Memory Stores
List memory items
POST
/memory_stores/{name}/items:listReturns memory items from the specified memory store.
Path ParametersQuery ParametersHeader Parameters
namestringrequired
The name of the memory store.kindstringoptional
The kind of the memory item.user_profilechat_summaryprocedural
limitintegeroptionaldefault: 20
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the
default is 20.orderstringoptional
Sort order by the created_at timestamp of the objects. asc for ascending order anddesc
for descending order.ascdesc
afterstringoptional
A cursor for use in pagination. after is an object ID that defines your place in the list.
For instance, if you make a list request and receive 100 objects, ending with obj_foo, your
subsequent call can include after=obj_foo in order to fetch the next page of the list.beforestringoptional
A cursor for use in pagination. before is an object ID that defines your place in the list.
For instance, if you make a list request and receive 100 objects, ending with obj_foo, your
subsequent call can include before=obj_foo in order to fetch the previous page of the list.api-versionstringrequired
The API version to use for this operation.Foundry-Featuresstringrequired
A feature flag opt-in required when using preview operations or modifying persisted preview resources.MemoryStores=V1Preview
Request BodyContent-Type: application/json
scopestringrequired
The namespace that logically groups and isolates memories, such as a user ID.Responses
data(user_profile | chat_summary | procedural)[]required
The requested list of items.One of the following:
user_profileUserProfileMemoryItem
A memory item specifically containing user profile information extracted from conversations, such as preferences, interests, and personal details.chat_summaryChatSummaryMemoryItem
A memory item containing a summary extracted from conversations.proceduralProceduralMemoryItem
A memory item containing a procedure extracted from conversations.first_idstring
The first ID represented in this list.last_idstring
The last ID represented in this list.has_morebooleanrequired
A value indicating whether there are additional values available not captured in this list.